Subject: Re: [Bitcoin-development] P2P feature discovery (was Re: BIP 33 - Stratized Nodes)

From: Jeff Garzik <[email-masked]>
Date: Wed, 16 May 2012 14:38:28 -0400

On Wed, May 16, 2012 at 2:29 PM, Luke-Jr <[email-masked]> wrote:
> That assumes you already have a connection to the peer in question.
> As I understand it, the service bits are propagated as part of the address,
> so you can see at a glance which nodes you want to connect to for some
> special service. Passing a huge list along might be unwieldy (though it
> makes sense for protocol changes that don't add new services).

If the peer list becomes too, um, stratified maybe that's a Big Hint
that said clients should be using another network entirely, and not
overloading bitcoin's P2P network for wholly unrelated tasks.  The
bitcoin P2P network is not a general message transit network.

Another argument against the proposal, IOW, if you ask me....

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]